Package org.apache.tools.ant.types.selectors

# Class SymlinkSelector

java.lang.Object
org.apache.tools.ant.types.selectors.SymlinkSelector

All Implemented Interfaces:
  `ResourceSelector`, `FileSelector`

    public class SymlinkSelector
    extends java.lang.Object
    implements FileSelector

A selector that selects symbolic links.

Executable is defined in terms of `Files.isSymbolicLink(java.nio.file.Path)`, this means the selector will accept any file that exists and is a symbolic link.

Since:
  Ant 1.10.0

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `SymlinkSelector()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `boolean` | `isSelected​(java.io.File basedir, java.lang.String filename, java.io.File file)` | Method that each selector will implement to create their selection behaviour.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.tools.ant.types.selectors.FileSelector

  `isSelected`

- ## Constructor Details

  - ### SymlinkSelector

    public SymlinkSelector()

- ## Method Details

  - ### isSelected

    public boolean isSelected​(java.io.File basedir, java.lang.String filename, java.io.File file)
    Description copied from interface: `FileSelector`
    Method that each selector will implement to create their selection behaviour. If there is a problem with the setup of a selector, it can throw a BuildException to indicate the problem.
    Specified by:
      `isSelected` in interface `FileSelector`
    Parameters:
      `basedir` - A java.io.File object for the base directory
      `filename` - The name of the file to check
      `file` - A File object for this filename
    Returns:
      whether the file should be selected or not